# Uses of Class
org.opensaml.saml.criterion.EntityRoleCriterion

Packages that use EntityRoleCriterion
Package
Description
org.opensaml.saml.metadata.criteria.entity.impl
Implementation classes related to `EntityDescriptor` criteria, particularly evaluable (predicate) criteria.
org.opensaml.saml.metadata.criteria.role.impl
Implementation classes related to `RoleDescriptor` criteria, particularly evaluable (predicate) criteria.

## Uses of EntityRoleCriterion in org.opensaml.saml.metadata.criteria.entity.impl

Constructors in org.opensaml.saml.metadata.criteria.entity.impl with parameters of type EntityRoleCriterion
Modifier
Constructor
Description
``
`EvaluableEntityRoleEntityDescriptorCriterion(EntityRoleCriterion criterion)`
Constructor.

## Uses of EntityRoleCriterion in org.opensaml.saml.metadata.criteria.role.impl

Constructors in org.opensaml.saml.metadata.criteria.role.impl with parameters of type EntityRoleCriterion
Modifier
Constructor
Description
``
`EvaluableEntityRoleDescriptorCriterion(EntityRoleCriterion criterion)`
Constructor.